Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class SupportAndRepairViewAccessoryType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairViewAccessoryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class SupportAndRepairViewAccessoryType extends Object implements Serializable
Generiek type voor een aanpassing in het beeld van het actief budget onderhoud en herstel.

Java class for SupportAndRepairViewAccessoryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairViewAccessoryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType" minOccurs="0"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportAndRepairViewAccessoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareServiceCode()`
  Prestatiecode van de aanpassing.
  `String`
  `getEquipmentID()`
  Unieke ID van de aanpassing.
  `String`
  `getProductnumber()`
  Productcode van de aanpassing.
  `List<String>`
  `getReasons()`
  Reden van de weigering, stopzetting of annulering.
  `CareServiceCodeStatusType`
  `getStatus()`
  Status van de aanpassing.
  `Instant`
  `getStatusDate()`
  Datum van de status van de aanpassing.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setEquipmentID(String value)`
  Sets the value of the equipmentID property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setStatus(CareServiceCodeStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportAndRepairViewAccessoryType

    public SupportAndRepairViewAccessoryType()

- ## Method Details

  - ### getEquipmentID

    public String getEquipmentID()
    Unieke ID van de aanpassing.
    Returns:
      possible object is `String`

  - ### setEquipmentID

    public void setEquipmentID(String value)
    Sets the value of the equipmentID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEquipmentID()`

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van de aanpassing.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van de aanpassing.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getStatus

    public CareServiceCodeStatusType getStatus()
    Status van de aanpassing.
    Returns:
      possible object is `CareServiceCodeStatusType`

  - ### setStatus

    public void setStatus(CareServiceCodeStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `CareServiceCodeStatusType`
    See Also:
      - `getStatus()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van de aanpassing.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`

  - ### getReasons

    public List<String> getReasons()
    Reden van de weigering, stopzetting of annulering. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.